#ifndef INTERVAL_H
#define INTERVAL_H

//#include "date.h"
#include <iostream>
#include <cstdio>

using namespace std;

namespace Date {

	class DateInterval {
		int year, month, day;
		int hour, minute, second;

		public:
			DateInterval();
			DateInterval(const DateInterval&);
			DateInterval(int, int, int, int, int, int);

			DateInterval& operator=(const DateInterval&);

			int getYear() const { return year; }
			int getMonth() const { return month; }
			int getDay() const { return day; }
			int getHour() const { return hour; }
			int getMinute() const { return minute; }
			int getSecond() const { return second; }

			void invert();
	};

	ostream& operator<<(ostream&, const DateInterval&);
}

#endif
